xmonad-contrib-0.15: Third party extensions for xmonad

Copyright | (c) 2017 Ivan Malison
License | BSD3-style (see LICENSE)
Maintainer | IvanMalison@gmail.com
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Actions.CycleWorkspaceByScreen

Contents

- Usage

Description

Cycle through previously viewed workspaces in the order they were viewed most recently on the screen where cycling is taking place.

Synopsis

- cycleWorkspaceOnScreen :: ScreenId -> [KeySym] -> KeySym -> KeySym -> X ()
- cycleWorkspaceOnCurrentScreen :: [KeySym] -> KeySym -> KeySym -> X ()
- handleKeyEvent :: EventType -> KeySym -> X () -> EventType -> KeySym -> Maybe (X ())
- repeatableAction :: [KeySym] -> (EventType -> KeySym -> X ()) -> X ()

# Usage

This module must be used in conjuction with XMonad.Hooks.WorkspaceHistory

To use, add something like the following to your keybindings , ((mod4Mask, xK_slash), cycleWorkspaceOnCurrentScreen [xK_Super_L] xK_slash xK_p)

cycleWorkspaceOnScreen :: ScreenId -> [KeySym] -> KeySym -> KeySym -> X () #

cycleWorkspaceOnCurrentScreen :: [KeySym] -> KeySym -> KeySym -> X () #

handleKeyEvent :: EventType -> KeySym -> X () -> EventType -> KeySym -> Maybe (X ()) #

repeatableAction :: [KeySym] -> (EventType -> KeySym -> X ()) -> X () #